/*
 * HaarWavelet.h
 *
 *  Created on: Nov 9, 2008
 *      Author: alexander
 */

#include "GBuffer.h"

#ifndef HAARWAVELET_H_
#define HAARWAVELET_H_

class HaarWaveletFilter {
public:
	long *precomputeSq;
	int h;
	int w;

	HaarWaveletFilter(GBuffer *input);

	long getRectangleValue(int x1, int y1, int x2, int y2);
	GBuffer * filter(int zh, int zw, int border, int *_maxx, int *_maxy);
	virtual ~HaarWaveletFilter();
};

#endif /* HAARWAVELET_H_ */
